- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.GetLegacySoarDashboardWidgetValuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#body.aspect_1)
- [DashboardWidgetTypesEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetTypesEnum)
- [CaseDataStatus](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CaseDataStatus)
- [CustomWidgetObjectEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum)
- [CustomWidgetChartTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetChartTypeEnum)
- [PlaybookStatusFilter](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#PlaybookStatusFilter)
- [LegacySoarDashboardWidgetValues](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#LegacySoarDashboardWidgetValues)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#LegacySoarDashboardWidgetValues.SCHEMA_REPRESENTATION)
- [DashboardWidgetSeriesDataModel](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetSeriesDataModel)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetSeriesDataModel.SCHEMA_REPRESENTATION)
- [SeriesTypeEnum](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#SeriesTypeEnum)
- [DashboardEntityKey](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardEntityKey)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardEntityKey.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacySoarDashboard.legacyGetDashboardWidgetValues

Returns the calculated data series and values for a specific dashboard widget. This includes the actual data used for graph representation based on the widget's filters and dimensions.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacySoarDashboard:legacyGetDashboardWidgetValues`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the dashboard widget values for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "id": integer, "dashboardId": integer, "title": string, "description": string, "widgetType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetTypesEnum`), "widthSize": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/WidgetWidthSizeTypes`), "order": integer, "timeFilter": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DashboardTimeRangeTypesEnums`), "tagFilters": [ string ], "environmentFilter": [ string ], "entityTypeFilter": [ string ], "analystFilters": [ string ], "priorityFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CasePriority`) ], "caseStatusesFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CaseDataStatus`) ], "importanceStatusesFilter": [ boolean ], "incidentStatusesFilter": [ boolean ], "exceededSlaFilter": [ boolean ], "closeReasonsFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CloseReasonEnum`) ], "caseStageFilter": [ string ], "caseRootCauseFilter": [ string ], "productFilters": [ string ], "alertNamesFilter": [ string ], "entityIdentifierFilter": [ string ], "networksFilter": [ string ], "portsFilter": [ string ], "categoryOutcomeFilter": [ string ], "customWidgetSubjectFilter": [ string ], "subject": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CustomWidgetSubjectEnum`), "chartType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetChartTypeEnum`), "resultsAmount": integer, "resultsOrder": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ResultsOrder`), "startStage": string, "endStage": string, "text": string, "calculateField": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CalculateFieldEnum`), "groupByField": string, "playbooksFilter": [ string ], "integrationsFilter": [ string ], "playbookStatusFilter": [ enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#PlaybookStatusFilter`) ], "socAnalystsLoadFirstSocRoleId": string, "socAnalystsLoadSecondSocRoleId": string, "socAnalystsLoadManagerUsername": string, "creationTimeUnixTimeInMs": string, "lastModifiedTimeUnixTimeInMs": string, "dimensionA": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`), "dimensionB": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`), "dimensionC": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`) } ``` |

| Fields ||
|---|---|
| `id` | `integer` Required. The ID of the widget. |
| `dashboardId` | `integer` Required. The ID of the dashboard. |
| `title` | `string` Required. The title of the widget. |
| `description` | `string` Optional. The description of the widget. |
| `widgetType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetTypesEnum`)`` Required. The type of the widget. |
| `widthSize` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/WidgetWidthSizeTypes`)`` Required. The width of the widget. |
| `order` | `integer` Optional. The order of the widget in the dashboard. |
| `timeFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/DashboardTimeRangeTypesEnums`)`` Optional. The time range filter of the widget. |
| `tagFilters[]` | `string` Optional. The tag filters of the widget. |
| `environmentFilter[]` | `string` Optional. The environment filters of the widget. |
| `entityTypeFilter[]` | `string` Optional. The entity type filters of the widget. |
| `analystFilters[]` | `string` Optional. The analyst filters of the widget. |
| `priorityFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CasePriority`)`` Optional. The priority filters of the widget. |
| `caseStatusesFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CaseDataStatus`)`` Optional. The case status filters of the widget. |
| `importanceStatusesFilter[]` | `boolean` Optional. The importance status filters of the widget. |
| `incidentStatusesFilter[]` | `boolean` Optional. The incident status filters of the widget. |
| `exceededSlaFilter[]` | `boolean` Optional. The exceeded SLA filters of the widget. |
| `closeReasonsFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CloseReasonEnum`)`` Optional. The close reason filters of the widget. |
| `caseStageFilter[]` | `string` Optional. The case stage filters of the widget. |
| `caseRootCauseFilter[]` | `string` Optional. The case root cause filters of the widget. |
| `productFilters[]` | `string` Optional. The product filters of the widget. |
| `alertNamesFilter[]` | `string` Optional. The alert name filters of the widget. |
| `entityIdentifierFilter[]` | `string` Optional. The entity identifier filters of the widget. |
| `networksFilter[]` | `string` Optional. The network filters of the widget. |
| `portsFilter[]` | `string` Optional. The port filters of the widget. |
| `categoryOutcomeFilter[]` | `string` Optional. The category outcome filters of the widget. |
| `customWidgetSubjectFilter[]` | `string` Optional. The custom widget subject filters of the widget. |
| `subject` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CustomWidgetSubjectEnum`)`` Optional. The subject of the custom widget. |
| `chartType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetChartTypeEnum`)`` Optional. The chart type of the custom widget. |
| `resultsAmount` | `integer` Optional. The number of results to display in the widget. |
| `resultsOrder` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ResultsOrder`)`` Optional. The order of the results in the widget. |
| `startStage` | `string` Optional. The start stage filter of the widget. |
| `endStage` | `string` Optional. The end stage filter of the widget. |
| `text` | `string` Optional. The text to display in the widget. |
| `calculateField` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/CalculateFieldEnum`)`` Optional. The calculate field of the widget. |
| `groupByField` | `string` Optional. The group by field of the widget. |
| `playbooksFilter[]` | `string` Optional. The playbook filters of the widget. |
| `integrationsFilter[]` | `string` Optional. The integration filters of the widget. |
| `playbookStatusFilter[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#PlaybookStatusFilter`)`` Optional. The playbook status filters of the widget. |
| `socAnalystsLoadFirstSocRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The first soc role id to filter soc analysts load. |
| `socAnalystsLoadSecondSocRoleId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The second soc role id to filter soc analysts load. |
| `socAnalystsLoadManagerUsername` | `string` Optional. The manager username to filter soc analysts load. |
| `creationTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The creation time of the dashboard. |
| `lastModifiedTimeUnixTimeInMs` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The last modified time of the dashboard. |
| `dimensionA` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`)`` Optional. The first dimension of the custom widget. |
| `dimensionB` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`)`` Optional. The second dimension of the custom widget. |
| `dimensionC` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#CustomWidgetObjectEnum`)`` Optional. The third dimension of the custom widget. |

### Response body

GetLegacySoarDashboardWidgetValuesResponse represents the response for getting dashboard widget values.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#LegacySoarDashboardWidgetValues`) } } ``` |

| Fields ||
|---|---|
| `payload` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#LegacySoarDashboardWidgetValues`)`` Optional. The values of the widget. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarDashboards.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## DashboardWidgetTypesEnum

DashboardWidgetTypesEnum is an enum that represents the widget types for a dashboard.

| Enums ||
|---|---|
| `DASHBOARD_WIDGET_TYPE_UNSPECIFIED` | Unspecified widget type |
| `CUSTOM` | Custom type |
| `PLAYBOOK_MONITORING` | Playbook monitoring |

## CaseDataStatus

CaseDataStatus is an enum that represents the case data status for a widget.

| Enums ||
|---|---|
| `CASE_DATA_STATUS_UNSPECIFIED` | Unspecified status |
| `OPENED` | Open case |
| `CLOSED` | Closed case |
| `ALL` | Any case. |
| `MERGED` | The case is merged. |
| `CREATION_PENDING` | Creation pending case |

## CustomWidgetObjectEnum

CustomWidgetObjectEnum is an enum that represents the custom widget object for a widget.

| Enums ||
|---|---|
| `CUSTOM_WIDGET_OBJECT_UNSPECIFIED` | Unspecified custom widget object |
| `ANALYST` | Analyst Object |
| `TAG` | Tag Object |
| `PRIORITY` | Priority Object |
| `RULE_NAME` | Status Object |
| `ENVIRONMENT` | Environment Object |
| `PLAYBOOK` | Playbook Object |
| `PRODUCT` | Product Object |
| `IMPORTANCE` | Importance Object |
| `CASE_STATUS` | Case Status Object |
| `CASE_CLOSE_REASON` | Close Reason Object |
| `CASE_ROOT_CAUSE` | Case Root Cause Object |
| `ENTITY_TYPE` | Entity Type Object |
| `NETWORK` | Network Object |
| `STAGE` | Stage Object |
| `PORT` | Port Object |
| `CATEGORY_OUTCOME` | Category Outcome Object |
| `ENTITY_IDENTIFIER` | Entity Identifier Object |
| `SLA_STATUS` | SLA Status Object |
| `BLOCK` | Block Object |
| `SOC_ANALYSTS_LOAD` | SOC Analysts Load Object |
| `SOC_STATUS` | SOC Status Object |
| `PLAYBOOK_STATUS` | Playbook Status Object |
| `ALERTS_REDUCTION` | Alerts reduction |
| `OPEN_CASES_STAGE_AVRAGE_HANDLING_TIME` | Open cases stage average handling time |
| `AVERAGE_STAGE_TRANSITION_TIME` | Average stage transition time |
| `SLA_STAGE_MEETING_RATE` | SLA stage meeting rate |
| `SLA_STAGE_OVERDUE_RATE` | SLA stage overdue rate |
| `CASE_OPEN_AND_CLOSURE_TRENDS` | Case open and closure trends |
| `ALERT_TRENDS` | Alert trends |
| `CASE_CLOSURE_BY_ANALYST_TRENDS` | Case closure by analyst trends |
| `MOST_REPORTING_PRODUCTS_TRENDS` | Most reporting products trends |
| `CASE_TAGS_TRENDS` | Case tags trends |
| `PLAYBOOK_TRENDS` | Playbook trends |
| `TASK_CREATOR` | Task creator |
| `TASK_OWNER` | Task owner |
| `TASK_STATUS` | Task status |
| `PLAYBOOK_TOTAL_RUNS` | Playbook total runs |
| `PLAYBOOK_SUCCEEDED_RUNS` | Playbook succeeded runs |
| `PLAYBOOK_IN_PROGRESS_RUNS` | Playbook in progress runs |
| `PLAYBOOK_FAILED_RUNS` | Playbook failed runs |
| `PLAYBOOK_DECLINED_RUNS` | Playbook declined runs |
| `PLAYBOOK_CLOSED_CASES` | Playbook closed cases |
| `PLAYBOOK_AVG_RUNTIME` | Playbook avg runtime |
| `PLAYBOOK_RUNS_STATS` | Playbook runs stats |
| `PLAYBOOK_PENDING` | Playbook pending |
| `PLAYBOOK_PERCENTAGE_ALERTS_HANDLED_PER_ENVIRONMENT` | Playbook percentage alerts handled per environment |
| `PLAYBOOK_PERCENTAGE_ALERTS_CLOSED_PER_PLAYBOOK` | Playbook percentage alerts closed per playbook |
| `PLAYBOOK_PERCENTAGE_ERROR_RUN` | Playbook percentage error runs |
| `PLAYBOOK_PERCENTAGE_ALERTS_CLOSED_PER_ENVIRONMENT` | Playbook percentage alerts closed per environment |

## CustomWidgetChartTypeEnum

The chart type of the custom widget. CustomWidgetChartTypeEnum is an enum that represents the custom widget chart type for a widget.

| Enums ||
|---|---|
| `PIE` | Pie chart |
| `HORIZENTAL_BARS` | Horizontal bars chart |
| `VERTICAL_BARS` | Vertical bars chart |
| `TABLE` | Table chart |
| `TIME_SERIES` | Time series chart |
| `TRENDS` | Trends chart |
| `SOCS_STATUS` | SOC status chart |
| `ROI` | ROI chart |
| `TEXT` | Text chart |
| `IMAGE` | Image chart |
| `NUMBER_STATUS` | Number status chart |

## PlaybookStatusFilter

PlaybookStatusFilter is an enum that represents the playbook status filter for a widget.

| Enums ||
|---|---|
| `PLAYBOOK_STATUS_FILTER_UNSPECIFIED` | Unspecified playbook status filter |
| `FINISHED_SUCCESSFULLY` | Finished successfully |
| `ERROR` | Error |
| `WAITING_FOR_USER_ACTION` | Waiting for user action |
| `DECLINED` | Declined |
| `PLAYBOOK_CLOSED_ALERT` | Closed |
| `PENDING` | Pending |
| `TERMINATED` | Terminated |

## LegacySoarDashboardWidgetValues

LegacySoarDashboardWidgetValues represents the data model for a dashboard widget values.

| JSON representation |
|---|
| ``` { "series": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetSeriesDataModel`) } ] } ``` |

| Fields ||
|---|---|
| `series[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardWidgetSeriesDataModel`)`` Optional. The series of the widget. |

## DashboardWidgetSeriesDataModel

DashboardWidgetSeriesDataModel represents the data model for a dashboard widget series.

| JSON representation |
|---|
| ``` { "identifier": string, "name": string, "values": [ string ], "seriesType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#SeriesTypeEnum`), "entity": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardEntityKey`) }, "text": string, "environments": [ string ] } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Optional. The identifier of the series. |
| `name` | `string` Optional. The name of the series. |
| `values[]` | `string` Optional. The values of the series. |
| `seriesType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#SeriesTypeEnum`)`` Optional. The type of the series. |
| `entity` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetDashboardWidgetValues#DashboardEntityKey`)`` Optional. The entity of the series. |
| `text` | `string` Optional. The text of the series. |
| `environments[]` | `string` Optional. The environments of the series. |

## SeriesTypeEnum

SeriesTypeEnum is an enum that represents the series types for a dashboard.

| Enums ||
|---|---|
| `NUMBER` | Number type |
| `STRING` | String type |
| `TIME_IN_MS` | Time in milliseconds type |
| `PERCENTAGE` | Percentage type |

## DashboardEntityKey

DashboardEntityKey represents the key of a dashboard entity.

| JSON representation |
|---|
| ``` { "identifier": string, "entityType": string } ``` |

| Fields ||
|---|---|
| `identifier` | `string` Optional. The identifier of the entity. |
| `entityType` | `string` Optional. The type of the entity. |